#pragma once

#include "boundary_conditions.hpp"
#include "enumutils.hpp"
#include "lookup_neighbourer.hpp"
#include "utils.hpp"
#include "wrap_helper.hpp"

namespace DAGGER {

template<class i_t, class f_t>
class ParamBag
{
public:
	ParamBag(){};



	// GRAPHFLOOD PARAMETRY

	f_t GRAVITY = 9.8;
	f_t rho_sed = 1000;
	f_t tau_c = 4.;
	f_t alpha = 1.5;

	bool gf2_diffuse_Qwin = false;
	void enable_gf2_diffuse_Qwin(){this->gf2_diffuse_Qwin = true;}
	void disable_gf2_diffuse_Qwin(){this->gf2_diffuse_Qwin = false;}

	bool gf2_morpho = false;
	void enable_gf2_morpho(){this->gf2_morpho = true;}
	void disable_gf2_morpho(){this->gf2_morpho = false;}

	f_t ke = 1e-3;
	void set_ke(f_t val) { this->ke = val; }
	f_t get_ke() { return this->ke; }

	f_t kd = 10;
	void set_kd(f_t val) { this->ke = val; }
	f_t get_kd() { return this->kd; }



};

};
